# Invoices by status, what they are for (an order, a stay) or a search

`GET /invoices` · Rivier · shop

Invoices by status, what they are for (an order, a stay) or a search.

- Scope: shop:read
- Mcp: rivier_invoices_list
- Graphql: Query.invoices
- Sdk: shop.invoice.list
- Cli: shop invoice list

## Parameters

- `status` (query), string
- `referenceKind` (query), string
- `referenceId` (query), string
- `search` (query), string
- `limit` (query), integer
- `offset` (query), integer

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/invoices' \
  -H 'Authorization: Bearer $KEY'
```
